Subject: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: "Themba Fletcher" <[email-masked]>
Date: Fri, 14 Nov 2008 17:46:19 -0500

When migrating to Emacs 22.3.1 on microsoft windows, the following
lines in my .emacs file do not behave as expected:

  (set-frame-position (selected-frame) 0 0)
  (sleep-for 2) ; not originally in my .emacs -- testing only
  (set-frame-width (selected-frame) 150)
  (sleep-for 2)
  (set-frame-height (selected-frame) 55)
  (sleep-for 2))

This used to leave me with a 150 X 55 frame located at 0,0 on my
display but it instead now leaves me with a default size frame still
located at 0,0 as expected. Please note that when I said M-x ielm and
pasted in the set-frame-width and -height lines as above after emacs
finished loading they did as I expected, ie. resized the frame
without problem.

I replaced these lines with the following in my .emacs as a
workaround:

(let ((destructo-target (selected-frame)))
  (make-frame (list '(top . 0)
		    '(left . 0)
		    '(width . 150)
		    '(height . 55)))
  (delete-frame destructo-target))

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp

Minor modes in effect:
  icomplete-mode: t
  partial-completion-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<drag-n-drop> M-x l i s p SPC m o d e <tab> <return> 
<wheel-down> <double-wheel-down> <triple-wheel-down> 
<triple-wheel-down> <triple-wheel-down> <wheel-up> 
<double-wheel-up> M-x f i l e SPC b u <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o r <tab> <return>

Recent messages:
Loading goto-addr...done
top.org has auto save data; consider M-x recover-this-file
Loading c:/Program Files/emacs-22.3/site-lisp/org-6.12b/lisp/org.el
(source)...
Loading easy-mmode...done
Loading derived...done
Loading c:/Program Files/emacs-22.3/site-lisp/org-6.12b/lisp/org.el
(source)...done
OVERVIEW
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading url-util...done
Loading emacsbug...done